> This page is for Afterpay Online Developer, version v1.
> For other versions, use one of these documentation indexes:
> - Main (default): https://developers.afterpay.com/afterpay-online-developer/main/llms.txt
> - v1: https://developers.afterpay.com/afterpay-online-developer/v-1/llms.txt
> - Chinese: https://developers.afterpay.com/afterpay-online-developer/chinese/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Pagination

All `GET` based endpoints that return a list of resources support pagination. The default `limit` is 20 and maximum is 250. The results are in descending order by default, newest first.

## Query Parameters

| Parameter | Type    | Description                                                                                     |
| --------- | ------- | ----------------------------------------------------------------------------------------------- |
| `limit`   | integer | The number of results to retrieve. Must be between 1 and 250 (inclusive). Default value is 20.  |
| `offset`  | integer | The position to start the results at. The first result has a position of 0. Default value is 0. |

## Response

| Parameter      | Type    | Description                                                                                                                                        |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| `limit`        | integer | The number of results that this page was limited to.                                                                                               |
| `offset`       | integer | The position of the first result retrieved for this page.                                                                                          |
| `totalResults` | integer | The total number of results matching the given criteria. If this number is greater than `limit`, one or more results were excluded from this page. |
| `results `     | array   | A page of matching results. This may be a subset of the total.                                                                                     |

## Example Request

```cURL
curl https://api-sandbox.afterpay.com/v1/payments \
  -H 'Authorization: Basic <Base64EncodedCredentials>' \
  -H 'User-Agent: <MyUserAgent>' \
  -H 'Accept: application/json'
```

## Example Response

```json
{
  "totalResults": 213,
  "offset": 0,
  "limit": 20,
  "results": [
    ...
  ]
}
```